/* CUSTOM */
.max-w-270 {
  width: 100%;
  max-width: 270px;
}
.max-w-350 {
  width: 100%;
  max-width: 350px;
}
.max-w-430 {
  width: 100%;
  max-width: 430px;
}
.max-w-480 {
  width: 100%;
  max-width: 480px;
}
.max-w-550 {
  width: 100%;
  max-width: 550px;
}
.max-w-620 {
  width: 100%;
  max-width: 620px;
}
.max-w-700 {
  width: 100%;
  max-width: 700px;
}
.max-w-760 {
  width: 100%;
  max-width: 760px;
}
.max-w-910 {
  width: 100%;
  max-width: 910px;
}
.max-w-980 {
  width: 100%;
  max-width: 980px;
}
.max-w-1170 {
  width: 100%;
  max-width: 1170px;
}
.max-w-1220 {
  width: 100%;
  max-width: 1220px;
}
.max-w-1328 {
  width: 100%;
  max-width: 1328px;
}

/* ACCORDION */
.accordion-header {
  background: var(--green-300);
  transition: background 0.3s ease;
  user-select: none;
}

.accordion-content {
  max-height: 0;
  overflow: hidden;
  opacity: 0;
  transition: max-height 0.5s ease, opacity 0.5s ease;
}

.accordion-content.open {
  opacity: 1;
}

.arrow {
  transition: transform 0.3s ease;
  transform: rotate(0deg);   /* começa fechado */
}

.arrow.open {
  transform: rotate(180deg); /* abre apontando para cima */
}


/* ANIME */
/* Base para elementos com animação */
[data-anime] { opacity: 0; animation-play-state: paused; /* Animação pausada até entrar na tela */ }

/* Tipos de animação */
[data-anime="top"] { animation-name: fromTop; }
[data-anime="right"] { animation-name: fromRight; }
[data-anime="left"] { animation-name: fromLeft; }
[data-anime="bottom"] { animation-name: fromBottom; }
[data-anime="center"] { animation-name: fromCenter; }

/* Tempos de animação */
[data-time="fast"] {
  animation-duration: 0.2s;
  animation-delay: 0.2s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="medium"] {
  animation-duration: 0.4s;
  animation-delay: 0.4s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow01"] {
  animation-duration: 0.6s;
  animation-delay: 0.6s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow02"] {
  animation-duration: 0.8s;
  animation-delay: 0.8s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow03"] {
  animation-duration: 1.0s;
  animation-delay: 1.0s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow04"] {
  animation-duration: 1.2s;
  animation-delay: 1.1s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow05"] {
  animation-duration: 1.4s;
  animation-delay: 1.4s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow06"] {
  animation-duration: 1.6s;
  animation-delay: 1.6s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow07"] {
  animation-duration: 1.8s;
  animation-delay: 1.8s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow08"] {
  animation-duration: 2s;
  animation-delay: 2s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow09"] {
  animation-duration: 2.2s;
  animation-delay: 2.2s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow10"] {
  animation-duration: 2.4s;
  animation-delay: 2.4s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow11"] {
  animation-duration: 2.6s;
  animation-delay: 2.6s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow12"] {
  animation-duration: 2.8s;
  animation-delay: 2.8s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow13"] {
  animation-duration: 3s;
  animation-delay: 3s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

/* Dispara a animação quando a classe 'visible' é adicionada */
[data-anime].visible { animation-play-state: running; }

/* Definição das animações */
@keyframes fromTop {
  from { opacity: 0; transform: translate3d(0, -50px, 0); }
  to { opacity: 1; transform: translate3d(0, 0, 0); }
}

@keyframes fromRight {
  from { opacity: 0; transform: translate3d(50px, 0, 0); }
  to { opacity: 1; transform: translate3d(0, 0, 0); }
}

@keyframes fromLeft {
  from { opacity: 0; transform: translate3d(-50px, 0, 0); }
  to { opacity: 1; transform: translate3d(0, 0, 0); }
}

@keyframes fromBottom {
  from { opacity: 0; transform: translate3d(0, 50px, 0); }
  to { opacity: 1; transform: translate3d(0, 0, 0); }
}

@keyframes fromCenter {
  from { opacity: 0; transform: scale(0.8); }
  to { opacity: 1; transform: scale(1); }
}

/* MEDIA QUERYS */
@media (max-width: 640px) {
  .max-w-230 {
    width: 100%;
    max-width: 230px;
  }

  .max-w-160 {
    width: 100%;
    max-width: 160px;
  }

  .max-w-240 {
    width: 100%;
    max-width: 240px;
  }

  .about-kerry {
    width: 180px;
    height: 170px;
  }
}

@media (min-width: 640px) and (max-width: 767px) {
  .sm\:max-w-400 {
    width: 100%;
    max-width: 400px;
  }
}

@media (min-width: 768px) and (max-width: 1023px) {
  .md\:max-w-550 {
    width: 100%;
    max-width: 550px;
  }
}

@media (max-width: 768px) {
  .max-w-640 {
    width: 100%;
    max-width: 640px;
  }
}

@media (min-width: 700px) {
  .about-kerry-02 {
    width: 320px;
    height: 320px;
    top: -48px
  }
}

/* MENU MOBILE - Telas MENORES que 1024px */
@media (max-width: 1023px) {
  #check {
    display: none;
  }
  .checkbtn {
    font-size: 30px;
    float: right;
    cursor: pointer;
    display: flex;
  }

  ul {
    position: fixed;
    width: 100%;
    height: 100vh;
    background-color: var(--primary-500);
    top:72px;
    left: -100%;
    text-align: center;
    transition: all 0.5s;
  }
  nav ul li {
    display: block;
  }
  nav ul li a p{
    color: var(--white);
  }
  #check:checked ~ ul {
    left: 0;
  }

  h2 {
    font-size: 28;
    margin-bottom: 8px;
  }

  .bg-about-company {
    width: 100%;
    background-color: var(--yellow-500);
    border-radius: 0 60px 0 60px;
    padding: 16px 0 32px 0;
  }

  .bg-about-program {
    width: 100%;
    background-color: var(--orange-500);
    border-radius: 0 60px 0 60px;
    padding: 24px 0;
  }

  .btn-inscription-what {
    width: 180px;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--primary-500);
    border-radius: 90px;
    margin: auto;
    margin-bottom: 60px;
    
    p {
      font-family: 'Aptos-Black';
      font-size: 22px;
      color: var(--primary-400);
    }
  }

  .bg-jobandlocations {
    width: 100%;
    background-color: var(--green-400);
    border-radius: 0 60px 0 60px;
    padding: 32px 0 24px 0;
    margin-bottom: 48px;
  }

  .arrow {
    width: 16px;
    height: 8px;
  }
  
  .arrow-left-green, .arrow-left-orange {
    width: 18px;
    height: auto;
  }

  .btn-inscription {
    width: 230px;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--primary-400);
    border-radius: 90px;
    margin: auto;
    margin-bottom: 24px;
    
    p {
      font-family: 'Aptos-Black';
      font-size: 24px;
      color: var(--primary-500);
    }
  }

}

/* MENU DESKTOP - Telas 1024px ou MAIORES */
@media (min-width: 1024px) {
  .checkbtn {
    display: none;
  }
  #check {
    display: none;
  }
  ul {
    position: static;
    width: auto;
    height: auto;
    background-color: transparent;
    text-align: left;
    transition: none;
  }
  nav ul li {
    display: inline-flex;
  }
  nav ul li a p {
    color: var(--white);
  }

  .lg\:max-w-350 {
    width: 100%;
    max-width: 350px;
  }

  .lg\:max-w-620 {
    width: 100%;
    max-width: 620px;
  }

  .lg\:max-w-760 {
    width: 100%;
    max-width: 760px;
  }

  .lg\:max-w-980 {
    width: 100%;
    max-width: 980px;
  }

  h2 {
    font-size: 60px;
    line-height: 68px;
    margin-bottom: 20px;
  }

  .bg-about-company {
    width: 100%;
    height: 480px;
    background-color: var(--yellow-500);
    border-radius: 0 120px 0 120px;
    padding: 32px 0;
  }
  
  .bg-about-program {
    width: 100%;
    background-color: var(--orange-500);
    border-radius: 0 120px 0 120px;
    padding-top: 40px;
  }
  
  .bg-jobandlocations {
    width: 100%;
    background-color: var(--green-400);
    border-radius: 0 120px 0 120px;
    padding: 24px 0 48px 0;
    margin-bottom: 64px;
  }

  .btn-inscription-what {
    width: 300px;
    height: 84px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--primary-500);
    border-radius: 90px;
    margin: auto;
    margin-bottom: 60px;
    
    p {
      font-family: 'Aptos-Black';
      font-size: 40px;
      color: var(--primary-400);
    }
  }

  .btn-inscription {
    width: 600px;
    height: 116px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--primary-400);
    border-radius: 90px;
    margin: auto;
    margin-bottom: 50px;
    
    p {
      font-family: 'Aptos-Black';
      font-size: 55px;
      color: var(--primary-500);
    }
  }
}

@media (min-width: 1024px) and (max-width: 1279px) {
  .lg\:right-130-neg { right: -130px; }

  .pre-requisits {
    width: 620px;
    height: 620px;
    top: -58px;
  }
}

@media (min-width: 1280px) {}

@media (min-width: 1366px) {}

@media (min-width: 1536px) {}
